Bug 28212

Summary: rename make-js-test-wrappers to make-script-test-wrappers
Product: WebKit Reporter: Shinichiro Hamaji <hamaji>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: eric
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 28213    
Attachments:
Description Flags
Patch v1 none

Description Shinichiro Hamaji 2009-08-11 22:33:33 PDT
As the first step of Bug 25880, let's rename it.
Comment 1 Shinichiro Hamaji 2009-08-11 22:35:11 PDT
Created attachment 34638 [details]
Patch v1


---
 3 files changed, 184 insertions(+), 175 deletions(-)
Comment 2 Eric Seidel (no email) 2009-08-11 22:46:23 PDT
Comment on attachment 34638 [details]
Patch v1

Assuming this is just a simple rename.  LGTM.
Comment 3 Darin Adler 2009-08-11 22:56:48 PDT
Comment on attachment 34638 [details]
Patch v1

Did you use "svn mv"? If not, why not?
Comment 4 Shinichiro Hamaji 2009-08-11 23:10:39 PDT
(In reply to comment #3)
> (From update of attachment 34638 [details])
> Did you use "svn mv"? If not, why not?

Ah, I'm using git and I used git mv and it seems to make the patch big. Is it better to use svn when we should rename files? Or, are there any equivalents in git world?
Comment 5 Eric Seidel (no email) 2009-08-12 15:32:08 PDT
Comment on attachment 34638 [details]
Patch v1

Nm, I'll leave this for Shinichiro to commit.
Comment 6 Shinichiro Hamaji 2009-08-13 00:07:08 PDT
(In reply to comment #5)
> (From update of attachment 34638 [details])
> Nm, I'll leave this for Shinichiro to commit.

I still don't have committer access. It's taking surprisingly long time due to several reason... So, could someone check this in?
Comment 7 Eric Seidel (no email) 2009-08-13 14:54:37 PDT
Comment on attachment 34638 [details]
Patch v1

Oh, I thought you already had access.  I see you were invited on July 23rd.  I assume you sent your paperwork to Apple and are just waiting to hear?

In the meantime I'll add this back to the commit-queue.
Comment 8 Eric Seidel (no email) 2009-08-13 15:22:54 PDT
Comment on attachment 34638 [details]
Patch v1

Clearing flags on attachment: 34638

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	R	WebKitTools/Scripts/make-js-test-wrappers => WebKitTools/Scripts/make-script-test-wrappers
	M	WebKitTools/ChangeLog
Committed r47238
	M	WebKit/win/WebDatabaseManager.cpp
	M	WebKit/win/Interfaces/IWebDatabaseManager.idl
	M	WebKit/win/WebDatabaseManager.h
	M	LayoutTests/platform/win/Skipped
	M	LayoutTests/fast/css/text-overflow-ellipsis-bidi.html
	M	LayoutTests/fast/css/text-overflow-ellipsis.html
	M	LayoutTests/fast/css/text-overflow-ellipsis-strict.html
	M	WebKitTools/DumpRenderTree/win/LayoutTestControllerWin.cpp
	M	WebKitTools/DumpRenderTree/win/UIDelegate.cpp
r47237 = 7a3501f298eb65328a5c378e351382002b473199 (trunk)
	M	WebKitTools/ChangeLog
	D	WebKitTools/Scripts/make-js-test-wrappers
	A	WebKitTools/Scripts/make-script-test-wrappers
r47238 = 25065644958c9143c5c028b6655e237cabb8cb6d (trunk)
First, rewinding head to replay your work on top of it...
Nothing to do.
http://trac.webkit.org/changeset/47238
Comment 9 Eric Seidel (no email) 2009-08-13 15:22:58 PDT
All reviewed patches have been landed.  Closing bug.